curl --request PUT \
--url https://api.staging.payrails.io/payment/providers/{providerId}/configs/{providerConfigId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-idempotency-key: <x-idempotency-key>' \
--data '
{
"config": {
"accountDetails": {
"processingChannelId": "pc_0a70d769-9c20-416e-a436-4a323ce7eabf"
},
"credentials": {
"clientId": "ack_3b2105ac-0190-4e18-a46c-d79ff97a39bc",
"clientSecret": "XPJR6FFBSFW1DDGCSVEZUEU5AJT153QSX5SAUF6I87WG98BUVN81Q1B8TROXVASUVD5CKN58PYUZ7YQD4DXYZA",
"hmacKeys": [
"4G12RUD2K3AB6KIPZBA6A1T1N2ZDQH5I67X9"
]
}
},
"accountName": "TestAccountName",
"accountDisplayName": "TestAccountDisplayName"
}
'import requests
url = "https://api.staging.payrails.io/payment/providers/{providerId}/configs/{providerConfigId}"
payload = {
"config": {
"accountDetails": { "processingChannelId": "pc_0a70d769-9c20-416e-a436-4a323ce7eabf" },
"credentials": {
"clientId": "ack_3b2105ac-0190-4e18-a46c-d79ff97a39bc",
"clientSecret": "XPJR6FFBSFW1DDGCSVEZUEU5AJT153QSX5SAUF6I87WG98BUVN81Q1B8TROXVASUVD5CKN58PYUZ7YQD4DXYZA",
"hmacKeys": ["4G12RUD2K3AB6KIPZBA6A1T1N2ZDQH5I67X9"]
}
},
"accountName": "TestAccountName",
"accountDisplayName": "TestAccountDisplayName"
}
headers = {
"x-idempotency-key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-idempotency-key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
config: {
accountDetails: {processingChannelId: 'pc_0a70d769-9c20-416e-a436-4a323ce7eabf'},
credentials: {
clientId: 'ack_3b2105ac-0190-4e18-a46c-d79ff97a39bc',
clientSecret: 'XPJR6FFBSFW1DDGCSVEZUEU5AJT153QSX5SAUF6I87WG98BUVN81Q1B8TROXVASUVD5CKN58PYUZ7YQD4DXYZA',
hmacKeys: ['4G12RUD2K3AB6KIPZBA6A1T1N2ZDQH5I67X9']
}
},
accountName: 'TestAccountName',
accountDisplayName: 'TestAccountDisplayName'
})
};
fetch('https://api.staging.payrails.io/payment/providers/{providerId}/configs/{providerConfigId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d9479775-3926-44af-9fcc-1c83ff4dcad6",
"providerId": "01039f19-d151-48b4-86aa-b36e68323e4e",
"createdAt": "2022-04-22T17:53:36.814Z",
"config": {
"accountDetails": {
"processingChannelId": "pc_0a70d769-9c20-416e-a436-4a323ce7eabf"
},
"credentials": {
"clientId": "ack_3b2105ac-0190-4e18-a46c-d79ff97a39bc",
"clientSecret": "secret://**********************************************************************************XYZA",
"hmacKeys": [
"secret://********************************67X9"
]
}
},
"accountName": "TestAccountName",
"configSchema": "{\"required\":[\"accountDetails\",\"credentials\"],\"definitions\":{\"PspCheckoutAccountDetails\":{\"required\":[\"processingChannelId\"],\"properties\":{\"processingChannelId\":{\"title\":\"Processing channel ID\",\"minLength\":1,\"pattern\":\"^pc_.+$\",\"type\":\"string\"}},\"type\":\"object\"},\"PspCheckoutCredentials\":{\"required\":[\"clientId\",\"clientSecret\"],\"properties\":{\"clientId\":{\"title\":\"Client ID\",\"description\":\"Client ID used to authenticate requests to the Checkout API\",\"minLength\":1,\"type\":\"string\"},\"clientSecret\":{\"title\":\"Client Secret\",\"description\":\"Client Secret used to authenticate requests to the Checkout API\",\"minLength\":1,\"type\":\"string\",\"format\":\"secret\"},\"hmacKeys\":{\"title\":\"HMAC keys\",\"description\":\"HMAC keys used to authenticate notifications from the Checkout API\",\"pattern\":\"^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$\",\"items\":{\"type\":\"string\"},\"type\":\"array\",\"format\":\"secret\"}},\"type\":\"object\"}},\"properties\":{\"accountDetails\":{\"$ref\":\"#/definitions/PspCheckoutAccountDetails\",\"title\":\"Account details\"},\"credentials\":{\"$ref\":\"#/definitions/PspCheckoutCredentials\",\"title\":\"Checkout credentials\"}},\"type\":\"object\"}",
"accountDisplayName": "TestAccountDisplayName",
"workspaces": [
"7f9f1882-a103-408d-ac96-46a7021e537a",
"70025496-f2a8-4211-b852-32261cbd8cde"
],
"notificationUrl": "https://yourcompany-api-pub.staging.payrails.io/public/notification/provider/testpsp/accountName/TestPSP"
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.malformed",
"detail": "The request has malformed syntax",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestmalformed"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.not-found",
"detail": "The requested resource was not found",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestnot-found"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.rate-limit",
"detail": "Too many requests",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestrate-limit"
}
]
}Update a provider config
Trigger an action to update the provider config.
Authorizations
You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Headers
Idempotency key to be used. Sending again the same key would return the same result without re-executing the update.
Path Parameters
Identifier of the resource in Payrails.
Identifier of the resource in Payrails.
Body
Account name of the provider.
^[a-zA-Z0-9_-]*$Account display name of the provider.
Response
Success.
Unique identifier of the provider config.
Unique identifier of the provider.
Account name of the provider.
^[a-zA-Z0-9_-]*$JSON schema of the provider configuration.
Date of creation of the provider config.
Account display name of the provider.
The status of the provider config.
Workspaces that the Provider config belongs to.
Name of the provider.
Display name of the provider.
Notification URL for this provider config.